0

I have a Wileyfox Swift. I installed TWRP 2.8.7.1 on it before. Now I want to install LineageOS on my phone. It shows an error:

unable to find partition size for '/recovery'

After that it shows a successful message for installing, but it reboots to recovery again.

So I wanted to change TWRP, but I can't install another version, because adb doesn't recognize my phone now.

Now, I just have a recovery menu only without any OS!!

How can I change the TWRP, or make the PC recognize the phone, or install another OS on my current TWRP?

Tnx!

  • Have you considered updating TWRP? 2.8.7.1 is quite old, with 3.1.* being recent. Find the current image (and instructions) here. As you already have 2.8.7 running, you can install the newer version directly via that (after having placed the IMG on your external SD card). AFAIR LineageOS 13 requires at least TWRP 3.0. And you're probably speaking of LOS 14 even. – Izzy Nov 30 '17 at 16:53
  • I did try to install newer TWRP (3.0 and 3.1). It shows a successful message, but after reboot it is still 2.8.7.1. – Rahmani Dec 2 '17 at 5:14
1

You will need to update your TWRP: AFAIK LOS13 already requires TWRP 3.0+ – and you are probably speaking of LOS14 even. You're on 2.8.7.1 – the latest available version is 3.1.1 as of this writing. So here's what you will do:

  • Download the latest TWRP for Crackling to your PC
  • connect the SD card to your PC using a card reader, and copy the .img file to the card
  • safely unmount the card from your PC, and put it back into the Swift
  • boot the swift to recovery, tap "install", browse to where you placed the .img file and select it
  • perform the install
  • just as precaution, reboot to recovery once more (you've got no other choice anyway without a valid OS installed)

Now you can go forward to install LOS again – same way as described above. Cannot hurt to perform a proper wipe before (to be on the safe side: data, cache and system).

  • I did try to install newer TWRP (3.0 and 3.1). It shows a successful message, but after reboot it is still 2.8.7.1. – Rahmani Dec 2 '17 at 5:13
  • 1
    That almost sounds like a hardware issue then (flash controller or flash storage itself). No more ideas then of what you yourself could do to get it fixed. And Wileyfox might not want to do that on warranty – but it's worth a try contacting them, they'd "wileyfixed™" mine within a week (in my case the bootloader was dead, so they couldn't even tell if it had a custom recovery or whatever). – Izzy Dec 2 '17 at 12:41

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.